docker_image:
  stage: build
  image: docker:stable
  services:
    - docker:dind
  # Build on a specific runner since
  # beluga is currently broken
  tags:
    - docker-in-docker
  before_script:
    - docker info
  script:
    - docker login -u gitlab-ci-token -p $CI_JOB_TOKEN $CI_REGISTRY
    - docker build -t ${CI_REGISTRY_IMAGE}/docker-tmate-server .
    - docker push ${CI_REGISTRY_IMAGE}/docker-tmate-server
